TestInternal::StdData Struct Reference

`#include <asserts.h>`

## Public Member Functions

| StdData (size_t lineParam, const char *fileParam, const char *testNameParam, bool printDotParam)

## Public Attributes

size_t | line
const char * | file
const char * | testName
bool | printDot

## Detailed Description

Definition at line 32 of file asserts.h.

## Constructor & Destructor Documentation

## StdData()

TestInternal::StdData::StdData | ( | size_t | lineParam,
|  | const char * | fileParam,
|  | const char * | testNameParam,
|  | bool | printDotParam )

inline

Definition at line 33 of file asserts.h.

## Member Data Documentation

## file

const char* TestInternal::StdData::file

Definition at line 38 of file asserts.h.

## line

size_t TestInternal::StdData::line

Definition at line 37 of file asserts.h.

## printDot

bool TestInternal::StdData::printDot

Definition at line 40 of file asserts.h.

## testName

const char* TestInternal::StdData::testName

Definition at line 39 of file asserts.h.

The documentation for this struct was generated from the following file:

- src/test/asserts.h